loci.formats.dicom

## Enum DicomVR

- java.lang.Object
- - java.lang.Enum<DicomVR>
  - - loci.formats.dicom.DicomVR

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DicomVR>

      public enum DicomVR
      extends java.lang.Enum<DicomVR>

  Enumeration of valid DICOM value representations (VRs). See http://dicom.nema.org/medical/dicom/current/output/html/part05.html#sect_6.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AE`
    `AS`
    `AT`
    `CS`
    `DA`
    `DS`
    `DT`
    `FD`
    `FL`
    `IMPLICIT`
    `IS`
    `LO`
    `LT`
    `OB`
    `OD`
    `OF`
    `OL`
    `OV`
    `OW`
    `PN`
    `QQ`
    `RESERVED`
    `SH`
    `SL`
    `SQ`
    `SS`
    `ST`
    `SV`
    `TM`
    `UC`
    `UI`
    `UL`
    `UN`
    `UR`
    `US`
    `UT`
    `UV`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `code`
    `private static java.util.Map<java.lang.Integer,DicomVR>` | `lookup`
    `private int` | `width`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DicomVR` | `get(int code)`
    `int` | `getCode()`
    `int` | `getWidth()`
    `static DicomVR` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DicomVR[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AE

          public static final DicomVR AE

    - #### AS

          public static final DicomVR AS

    - #### AT

          public static final DicomVR AT

    - #### CS

          public static final DicomVR CS

    - #### DA

          public static final DicomVR DA

    - #### DS

          public static final DicomVR DS

    - #### DT

          public static final DicomVR DT

    - #### FD

          public static final DicomVR FD

    - #### FL

          public static final DicomVR FL

    - #### IS

          public static final DicomVR IS

    - #### LO

          public static final DicomVR LO

    - #### LT

          public static final DicomVR LT

    - #### OB

          public static final DicomVR OB

    - #### OD

          public static final DicomVR OD

    - #### OF

          public static final DicomVR OF

    - #### OL

          public static final DicomVR OL

    - #### OV

          public static final DicomVR OV

    - #### OW

          public static final DicomVR OW

    - #### PN

          public static final DicomVR PN

    - #### SH

          public static final DicomVR SH

    - #### SL

          public static final DicomVR SL

    - #### SQ

          public static final DicomVR SQ

    - #### SS

          public static final DicomVR SS

    - #### ST

          public static final DicomVR ST

    - #### SV

          public static final DicomVR SV

    - #### TM

          public static final DicomVR TM

    - #### UC

          public static final DicomVR UC

    - #### UI

          public static final DicomVR UI

    - #### UL

          public static final DicomVR UL

    - #### UN

          public static final DicomVR UN

    - #### UR

          public static final DicomVR UR

    - #### US

          public static final DicomVR US

    - #### UT

          public static final DicomVR UT

    - #### UV

          public static final DicomVR UV

    - #### QQ

          public static final DicomVR QQ

    - #### IMPLICIT

          public static final DicomVR IMPLICIT

    - #### RESERVED

          public static final DicomVR RESERVED

  - ### Field Detail

    - #### code

          private int code

    - #### width

          private int width

    - #### lookup

          private static final java.util.Map<java.lang.Integer,DicomVR> lookup

  - ### Method Detail

    - #### values

          public static DicomVR[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DicomVR c : DicomVR.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DicomVR valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### getWidth

          public int getWidth()

    - #### get

          public static DicomVR get(int code)

Copyright © 2026 Open Microscopy Environment